修改---ID_BUTTON_SELECT---MD---创建->选择;插入->选择;注释->选择;视图->选择;管理->选择;修改->选择;建筑->选择;结构->选择;系统->选择;分析->选择;体量和场地->选择;协作->选择;上下文选项卡->选择--- 选择链接---ID_TOGGLE_ALLOW_LINK_SELECTION---创建->选择;插入->选择;注释->选择;视图-...
Select IDs of Selection to get the ID number for one element. Figure 23: ElementId 在Revit平台API中,可以直接创建一个ElementId,然后关联一个唯一的整数值到此新ElementId,新ElementId默认值是0 In the Revit Platform API, you can create an ElementId directly, and then associate a unique integer v...
4. Choose a warning to resolve. Double click the element ID number to select, then copy to clipboard. 5. InRevit, click on the select by ID command (Manage tab > Inquiry panel). 6. Paste the element ID and click OK. This selects the element. 7. To locate the element, use the h...
filteredElementCollector.OfClass(typeof(WallType)); m_wallTypeCollection = filteredElementCollector.Cast<WallType>().ToList<WallType>(); // Show the dialog for the user select the wall style using (CreateWallsUnderBeamsForm displayForm = new CreateWallsUnderBeamsForm(this)) { if (DialogResult....
}else{stringinfo ="当前文档的用户选集的元素Id为: ";foreach(ElementId idinselectSet) { info +="\n\t"+ id.IntegerValue; } TaskDialog.Show("选集", info); }returnAutodesk.Revit.UI.Result.Succeeded; }catch(Exception ex) { message = ex.Message;returnAutodesk.Revit.UI.Result.Failed; ...
之后你可以尝试,在项目中选择一个选择,在点击外部工具下的RevitSelect 我这边的结果: 在运行外部命令过程中选取元素: publicclassSelectRevit : IExternalCommand {publicResult Execute(ExternalCommandData commandData,refstringmessage, Autodesk.Revit.DB.ElementSet elements) ...
using Autodesk.Revit.Attributes; using Autodesk.Revit.DB; using Autodesk.Revit.UI; using System.Collections.Generic; using TuoLuoUtils; namespace RevitDemo { /// <summary> /// 选择元素 /// </summary> [Transaction(TransactionMode.Manual)] public class SelectElement : IExternalCommand { public...
(WallFilter,"框选常规 - 200mm的墙");vareleIds=fromElementinelementListselectElement.Id;uidoc.Selection.SetElementIds(eleIds.ToList());returnResult.Succeeded;}//实现函数publicclassWallSelectionFilter:ISelectionFilter{publicboolAllowElement(Elementelem){if(elemisWall&&elem.Name=="常规 - 200mm"){...
RevitLookup Search by Element and Unique Id АлександрПекшев aka Modis @Pekshev implemented another useful RevitLookup enhancement to search and snoop elements by element id or unique id – Search and snoop by element id or unique id – File changes – The built-in Select ...
publicvoidSelectGeometryElements(UIApplicationuiapp) { //获取当前文档 Documentdoc=uiapp.ActiveUIDocument.Document; //创建选择过滤器,这里以墙为例 ElementClassFilterfilter=newElementClassFilter(typeof(Wall)); //使用过滤器选择元素 ReferenceArrayreferences=newReferenceArray(); ...